build:
  arch: sparc
  bsp: leon3
  config-ini: |
    [${arch}/${bsp}]
    RTEMS_SMP = True
    RTEMS_QUAL = True
    RTEMS_QUAL_ONLY = True
    BUILD_TESTS = False
    BUILD_VALIDATIONTESTS = True
    INSTALL_LEGACY_MAKEFILES = False
  doxyfile-template: templates/Doxyfile
  enabled:
  - RTEMS_QUAL
  - RTEMS_SMP
  source-directory: external/rtems
  sources:
  - bsps/shared/cache/cacheimpl.h
  - bsps/shared/dev/clock/clockimpl.h
  - cpukit/doxygen.h
  - cpukit/libcsupport/src/malloc_p.h
  - cpukit/libtest/t-test-rtems.h
  - cpukit/score/cpu/sparc/syscall.h
  - cpukit/score/src/opt_compat.h
  - cpukit/score/src/opt_ffclock.h
  - cpukit/score/src/opt_ntp.h
  - gccdeps.py
  - long_gcc.py
  - testsuites/doxygen.h
  - waf
  - wscript
  uids:
  - /build/cpukit/librtemscpu
  - /build/cpukit/librtemstest
  - /build/testsuites/validation/grp
  workspace-directory: workspace/rtems
spec:
  cache-directory: cache
  paths:
  - spec
  - external/rtems/spec
glossary:
  project-groups:
  - /glos/general
  project-target: external/rtems-docs/c-user/glossary.rst
  documents:
  - rest-source-paths:
    - external/rtems-docs/eng
    target: external/rtems-docs/eng/glossary.rst
appl-config:
  groups:
  - uid: /acfg/bdbuf
    target: external/rtems-docs/c-user/config/bdbuf.rst
  - uid: /acfg/bsp
    target: external/rtems-docs/c-user/config/bsp-related.rst
  - uid: /acfg/classic
    target: external/rtems-docs/c-user/config/classic-api.rst
  - uid: /acfg/classicinit
    target: external/rtems-docs/c-user/config/classic-init-task.rst
  - uid: /acfg/devdrv
    target: external/rtems-docs/c-user/config/device-driver.rst
  - uid: /acfg/eventrecord
    target: external/rtems-docs/c-user/config/event-record.rst
  - uid: /acfg/filesystem
    target: external/rtems-docs/c-user/config/filesystem.rst
  - uid: /acfg/general
    target: external/rtems-docs/c-user/config/general.rst
  - uid: /acfg/idle
    target: external/rtems-docs/c-user/config/idle-task.rst
  - uid: /acfg/mpci
    target: external/rtems-docs/c-user/config/mpci.rst
  - uid: /acfg/posix
    target: external/rtems-docs/c-user/config/posix-api.rst
  - uid: /acfg/posixinit
    target: external/rtems-docs/c-user/config/posix-init-thread.rst
  - uid: /acfg/schedgeneral
    target: external/rtems-docs/c-user/config/scheduler-general.rst
  - uid: /acfg/stackalloc
    target: external/rtems-docs/c-user/config/task-stack-alloc.rst
validation:
  base-directory: external/rtems
